/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


import com.HotelServices.model.dto.TakaritasDTO;
import com.HotelServices.model.dto.impl.TakaritoDAOImpl;
import java.io.*;
import java.net.*;

import java.util.LinkedList;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Sensei
 */
public class TakaritoServlet extends HttpServlet {
   
    /** 
    * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
    * @param request servlet request
    * @param response servlet response
    */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
           if (request.getParameter("lista") != null && request.getParameter("lista").equals("Listaz")) {
                LinkedList<TakaritasDTO> ll = new LinkedList<TakaritasDTO>();
                ll = new TakaritoDAOImpl().takaritas_lista();
                request.getSession().setAttribute("takaritaslista", ll);
                response.sendRedirect("takarito_index.jsp");
            }
            
        } finally { 
            out.close();
        }
    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
    * Handles the HTTP <code>GET</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
    * Handles the HTTP <code>POST</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
    * Returns a short description of the servlet.
    */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
